classification
Title: test_gdb fails on Fedora buildbot
Type: behavior Stage: resolved
Components: Demos and Tools, Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: bkabrda, dmalcolm, ncoghlan, pitrou, rhettinger, skrah, vstinner
Priority: normal Keywords: buildbot

Created on 2013-09-10 19:36 by pitrou, last changed 2014-04-29 12:14 by skrah. This issue is now closed.

Messages (10)
msg197463 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-09-10 19:36
This is on Stefan's "Fedora without threads" buildbot, and it's the sets pretty-printing tests which fail:
http://buildbot.python.org/all/builders/AMD64%20Fedora%20without%20threads%203.x/builds/5119
msg197683 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-09-14 04:25
I'd seen this locally, but hadn't got around to looking into it. I just realised it is likely related to the internal changes in sets, so I'll see if I can come up with a patch.
msg197684 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-09-14 04:41
Running test_gdb on its own didn't reproduce the error in a threads-enabled build on Fedora 19. I'm now trying it with the same command line as the failed buildbot run:

    /python  ./Tools/scripts/run_tests.py -j 1 -u all -W --timeout=3600 --randseed=6475478

If that still passes, I'll try a without-threads build.

If I can't reproduce it even with threads disabled, then I'd be inclined to say "closed won't fix" on the grounds that Fedora 16 is already end-of-life.
msg198206 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2013-09-21 14:34
The regular build (with threads) on that machine has the same problem.

Closing the issue is fine, but there does not seem to be an easy way
to upgrade Fedora from 16 to 19. Perhaps we can skip the test so that
the buildbot continues to be useful.
msg198248 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-09-22 07:56
My F19 system (which works) shows gdb-7.6-34, while the new debugging output Antoine added shows 7.3.50.20110722-16.fc16 on F16

Maybe the new gdb version check needs to be looking for 7.4+ rather than 7.3+?
msg198249 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-09-22 08:11
Hmm, I also noticed some issues with 2.7/3.2 on the RHEL 6 buildbot (similar to those previously reported in issue 15043).

I'll keep tinkering with it.
msg198254 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-09-22 09:43
Looks like the RHEL 6 failures may have just been a change on the OS side that reintroduced the need for this old workaround: http://docs.python.org/devguide/faq.html#how-do-i-update-my-auto-load-safe-path-to-allow-test-gdb-to-run

I restored that FAQ, applied the config change on the buildbot and fixed the 2.7 branch to skip rather than fail (as it was previously supposed to, but the line that actually did the skip was lost in a backport from 3.x somewhere along the line).
msg198512 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2013-09-28 13:43
Nick Coghlan <report@bugs.python.org> wrote:
> My F19 system (which works) shows gdb-7.6-34, while the new debugging output Antoine added shows 7.3.50.20110722-16.fc16 on F16
> 
> Maybe the new gdb version check needs to be looking for 7.4+ rather than 7.3+?

Yes, probably. We've already had another problem with the strange gdb version
on Fedora 16.
msg198826 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2013-10-02 11:28
Well, I got tired of the OS gdb with an almost transcendental version
number and installed gdb from gnu.org.

The problem seems to have disappeared.
msg217514 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2014-04-29 12:14
Since Fedora 16 is EOL, let's close this.
History
Date User Action Args
2014-04-29 12:14:55skrahsetstatus: open -> closed
resolution: out of date
messages: + msg217514

stage: needs patch -> resolved
2013-10-02 11:28:38skrahsetmessages: + msg198826
2013-09-28 13:43:17skrahsetmessages: + msg198512
2013-09-22 09:43:46ncoghlansetnosy: + bkabrda
messages: + msg198254
2013-09-22 08:11:37ncoghlansetkeywords: + buildbot

messages: + msg198249
2013-09-22 07:56:12ncoghlansetmessages: + msg198248
2013-09-21 14:34:41skrahsetmessages: + msg198206
2013-09-14 04:41:18ncoghlansetmessages: + msg197684
2013-09-14 04:25:02ncoghlansetnosy: + dmalcolm
messages: + msg197683
2013-09-13 22:08:57vstinnersetnosy: + vstinner
2013-09-10 19:36:13pitroucreate